#/*****************************************************************************
#* antix-viewer.pro
# *****************************************************************************
# * Copyright (C) 2022 MX Authors
# *
# * Authors: Adrian <adrian@mxlinux.org>
# *          MX Linux <http://mxlinux.org>
# *
# * This program is free software: you can redistribute it and/or modify
# * it under the terms of the GNU General Public License as published by
# * the Free Software Foundation, either version 3 of the License, or
# * (at your option) any later version.
# *
# * MX Viewer is distributed in the hope that it will be useful,
# * but WITHOUT ANY WARRANTY; without even the implied warranty of
# * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# * GNU General Public License for more details.
# *
# * You should have received a copy of the GNU General Public License
# * along with MX Viewer.  If not, see <http://www.gnu.org/licenses/>.
# **********************************************************************/

QT       += webenginewidgets
CONFIG   += c++17 warn_on

# The following define makes your compiler warn you if you use any
# feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

TARGET = antix-viewer
TEMPLATE = app

SOURCES += \
    main.cpp \
    addressbar.cpp \
    downloadwidget.cpp \
    mainwindow.cpp \
    tabwidget.cpp \
    webview.cpp

HEADERS  += \
    addressbar.h \
    downloadwidget.h \
    tabwidget.h \
    mainwindow.h \
    webview.h

TRANSLATIONS +=  translations/antix-viewer_ca.ts \
    translations/antix-viewer_de.ts \
    translations/antix-viewer_el.ts \
    translations/antix-viewer_es_ES.ts \
    translations/antix-viewer_es.ts \
    translations/antix-viewer_fi.ts \
    translations/antix-viewer_fr_BE.ts \
    translations/antix-viewer_fr.ts \
    translations/antix-viewer_gl_ES.ts \
    translations/antix-viewer_hu.ts \
    translations/antix-viewer_it.ts \
    translations/antix-viewer_ja.ts \
    translations/antix-viewer_nb.ts \
    translations/antix-viewer_pt_BR.ts \
    translations/antix-viewer_pt.ts \
    translations/antix-viewer_ru_RU.ts \
    translations/antix-viewer_ru.ts \
    translations/antix-viewer_sl.ts \
    translations/antix-viewer_sq.ts \
    translations/antix-viewer_sv.ts

RESOURCES += \
    images.qrc

FORMS += \
    downloadwidget.ui
